## mycompiler.mytypereconstruction.replacementlistener
Class CReplaceTypeEvent

    java.lang.Object
      mycompiler.mytypereconstruction.replacementlistener.CReplaceTypeEvent

    public class CReplaceTypeEvent

extends java.lang.Object

Version:
  $date
Author:
  Jörg Bäuerle

Constructor Summary
`CReplaceTypeEvent(Type oldType, Type newType)`

Method Summary
`Type` `getNewType()`
`Type` `getOldType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CReplaceTypeEvent

    public CReplaceTypeEvent(Type oldType,
                             Type newType)

Method Detail

### getNewType

    public Type getNewType()

### getOldType

    public Type getOldType()